Arm-Koji Release 0.3 (2/2)

Release 0.3

For my 0.3 I have tried doing 6-7 packages. I went to builds on the Arm-Koji site and picked some that had failed and tried to build them.

http://arm.koji.fedoraproject.org/koji/builds?state=3&order=-build_id

Failed Packages:

Pure // Quassel // Jdom // Ecj // Qgis // Xmlrpc // Xenwatch

Errors:

jdom-1.1.1-1.fc13.src.rpm

Buildfile: build.xml /var/tmp/rpm-tmp.3eUgjf: line 34: 10731 Segmentation fault ant -Dj2se.apidoc=/usr/share/javadoc/java package javadoc-link

-Build Task:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=93700

xmlrpc-2.0.1-6.6.fc13.src.rpm

/usr/lib/jvm/java/bin/java: symbol lookup error: /usr/lib/gcj/ant/ant-1.7.1.jar.so: undefined symbol: __sync_synchronize

javadoc-link
Xmlrpc: /usr/lib/gcj/ant/ant-1.7.1.jar.so: undefined symbol: __sync_synchronize
File not found by glob: /builddir/build/BUILDROOT/xmlrpc-2.0.1-6.6.fc13.x86_64/usr/share/java/java*

-Build Task:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=93753

qgis-1.6.0-2.fc13.src.rpm

No Package Found for grass
No Package Found for gdal-devel
No Package Found for grass-devel
No Package Found for geos-devel

For These Packages I have tried to build Geos-Devel/Geos

Goes had this error:

RPM build errors:
/.libs/libnoding.a(MCIndexSnapRounder.o):(.data.rel.ro+0x0): multiple definition of `vtable for geos::noding::snapround::MCIndexSnapRounder'
.libs/inlines.o:(.data.rel.ro+0x0): first defined here
noding/.libs/libnoding.a(MCIndexSnapRounder.o): In function `.LANCHOR1':
MCIndexSnapRounder.cpp:(.rodata+0xe8): multiple definition of `typeinfo name for geos::noding::snapround::MCIndexSnapRounder'
.libs/inlines.o:inlines.cpp:(.rodata+0x2e0): first defined here
noding/.libs/libnoding.a(MCIndexSnapRounder.o):(.data.rel.ro+0x18): multiple definition of `typeinfo for geos::noding::snapround::MCIndexSnapRounder'
.libs/inlines.o:(.data.rel.ro+0xb0): first defined here
collect2: ld returned 1 exit status

Still trying to work with it.

-Build Task (GEOS)

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=93717

pure-0.47-1.fc13.src.rpm
ERROR: Bad build req: No Package Found for llvm-devel >= 2.4. Exiting.

I have tried to Skip these packages but no go. They are needed.
%ifnarch {%arm}
buildrequires: llvm
%endif

%ifnarch {%arm}
BuildRequires: ocaml
%endif

llvm-devel ->
  ERROR: Bad build req: No Package Found for ocaml-ocamldoc. Exiting.

needs ocaml-3.11.2-2.fc13.src.rpm ->

   BuildError: No matching arches were found (Pure) configure: error:

-Build Tasks (llvm):

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=93692

-Build Tasks (ocaml):

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=93694

quassel-0.7.1-1.fc13.src.rpm
ERROR: Command failed:
# /usr/bin/yum –installroot /var/lib/mock/dist-f13-build-21684-15700/root/  install  ‘cmake’ ‘openssl-devel’ ‘kdebase- workspace-devel’ ‘desktop-file-utils’ ‘qt4-devel’ ‘kde-filesystem’
kdepimlibs-akonadi-4.5.5-1.fc13.armv5tel from build has depsolving problems
–> Missing Dependency: akonadi(armv5tel-32) >= 1.4.3 is needed by package kdepimlibs-akonadi-4.5.5-1.fc13.armv5tel

Other Error in Spec File:

error: File not found: /home/camcintosh1/rpmbuild/BUILDROOT/quassel-0.7.1-1.fc13.x86_64/usr/share/applications/kde4/quassel.desktop
RPM build errors:
    File not found: /home/camcintosh1/rpmbuild/BUILDROOT/quassel-0.7.1-1.fc13.x86_64/usr/share/applications/kde4/quassel.desktop

Added the file to the path by changing %file:

%files
%defattr(-,root,root,-)
%{_datadir}/*
%{_bindir}/
#%{_kde4_bindir}/quassel
#%{_kde4_datadir}/applications/kde4/quassel.desktop

And for the Client:

%files client
%defattr(-,root,root,-)
%{_datadir}/*
%{_bindir}/
#%{_kde4_bindir}/quasselclient
#%{_kde4_datadir}/applications/kde4/quasselclient.desktop

After that it built but not to Arm-koji because the missing packages of Kdepimlibs and Akondi.

Tried to Skip the package in Quassel:

%ifnarch {%arm}
buildrequires: akonadi
%endif

No go it is needed.

Added kdepimlibs to Build Requires.

-Build Tasks (kdepimlibs-4.4.2-1.fc13.src.rpm/ Quassel):

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=93762

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=93706


Now, I am trying to Build an old verison of Kdepimlibs  which is 4.4.2 for the verison we have on Arm-Koji which is Akondi 1.3.1.

I am waiting for it to upload successfully and get it tagged then add Quassel. I will see if my Package is Succesful.

I might have to build it again, since it is taking awhile.

Xenwatch-0.5.4-4.fc13

Error: Xen and Libvirt-devel cannot be built on Arm-Koji at this time.

Last packages (Cant be built):
DEBUG util.py:256:  No Package Found for libvirt-devel - Bad build req: No Package Found for /usr/bin/qemu-img. 

Exiting.
DEBUG util.py:256:  No Package Found for xen-devel - BuildError: No matching arches were found
xenwatch-0.5.4-4.fc13.src.rpm, armv5tel

Tickets:
https://fedorahosted.org/arm/ticket/34#preview (Quassel)
https://fedorahosted.org/arm/ticket/35#preview (Pure)
https://fedorahosted.org/arm/ticket/36#preview (Qgis)
https://fedorahosted.org/arm/ticket/37 (Xmlrpc, JDOM)
Commands:

  • yumdownloader
  • rpm -i
  • rpmbuild -bs -ba
  • Mock -r
  • Arm-koji
  • arm-koji cancel 93759

Sucessful:

But It was built already:

ecj-3.4.2-7.fc13.src.rpm
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=93681
akonadi-1.4.1-2.fc13.src.rpm
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=93683

Mailing List
kde-pim@kde.org

-Asked about the versions compatibility.

Thanks to Chris Tyler for helping and Paul Whalen.😀

•Blog Soon! •

Let me know how you feel, my friend :)

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s